<div class="app-modal app-summary" id="app-summary-{{application.identifier}}" data-app-id="{{application.identifier}}">
  <div class="app-modal-header bg-dark">Application Summary</div>
  <div class="app-modal-body">
    <div class="row mb-2">
      <div class="col-4 fw-semibold">Identifier</div>
      <div class="col-8 app-identifier">{{application.identifier}}</div>
    </div>
    <div class="row mb-2">
      <div class="col-4 fw-semibold">Name</div>
      <div class="col-8 app-name descriptive-name">{{application.descriptive_name}}</div>
    </div>
    <div class="row mb-2">
      <div class="col-4 fw-semibold">Description</div>
      <div class="col-8">{{application.description}}</div>
    </div>
    <div class="row mb-2">
      <div class="col-4 fw-semibold">Authentication</div>
      <div class="col-8 authentication">{{application.get_authentication_display}}</div>
    </div>
    <div class="row mb-2">
      <div class="col-4 fw-semibold">Authenticated routes</div>
      <div class="col-8 route-tag-container authenticated-routes">
        {% for route in application.route_set.all %}
          {% if route.authenticated %}
            <div class="route-tag mt-1">{{route.route}}</div>
          {% endif %}
        {% endfor %}
      </div>
    </div>
    <div class="row mb-2">
      <div class="col-4 fw-semibold">Unauthenticated routes</div>
      <div class="col-8 route-tag-container unauthenticated-routes">
        {% for route in application.route_set.all %}
          {% if not route.authenticated %}
            <div class="route-tag mt-1">{{route.route}}</div>
          {% endif %}
        {% endfor %}
      </div>
    </div>
    <div class="row">
      <div class="col-4 fw-semibold">Database</div>
      <div class="col-8">{{application.database}}</div>
    </div>
    <div class="mb-2 helper-text">Note this value <strong>cannot be changed</strong> once <strong>deployed</strong></div>
    {% if application.allowed_ips %}
      <div class="row mb-2">
        <div class="col-4 fw-semibold">Allowed IPs</div>
        <div class="col-8">
          {% for name, ips in application.get_allowed_ips.items %}
            <pre class="mb-0"><code>{{ name|capfirst }}: {{ ips|join:", " }}</code></pre>
          {% endfor %}
        </div>
      </div>
    {% endif %}
    <div class="row mb-2">
      <div class="col-4 fw-semibold">Last updated</div>
      <div class="col-8">{{application.last_updated}}</div>
    </div>
    {% if user_role == 'owner' or user_role == 'editor' %}
      <div class="app-modal-btn-container">
        <button type="button" class="btn btn-outline-primary btn-sm app-summary-edit-btn {% if application.deployment.state == 1 %}disabled{% endif %}">Edit</button>
      </div>
    {% endif %}
  </div>
</div>
